RESIZE2FS(8)

NOM
resize2fs - Redimensionner un système de fichiers ext2/ext3/ext4

SYNOPSIS
resize2fs [ -fFpPM ] [ -d drapeaux_débogage ] [ -S bande_RAID ] périphérique [ taille ]

DESCRIPTION
Le programme resize2fs change la taille de systèmes de fichiers ext2, ext3 ou ext4. Il peut être utilisé pour augmenter ou réduire la taille d'un système de fichiers non monté indiqué par périphérique. Si le système de fichiers est monté, il peut augmenter la taille du système de fichiers, en supposant que le noyau gère le changement de taille à chaud (à ce jour, le noyau Linux 2.6 ne permet de changer la taille à chaud que pour les systèmes de fichiers ext3 et ext4).

Le paramètre taille indique la taille demandée du système de fichiers. Si aucune unité n'est précisée, l'unité du paramètre taille est la taille de bloc du système de fichiers. En option, le paramètre taille peut être suffixé d'un indicateur d'unité : « s », « K », « M » ou « G », respectivement pour des secteurs de 512 octets, des kilooctets, mégaoctets ou gigaoctets. La taille du système de fichiers ne devrait jamais être supérieure à la taille de la partition. Si le paramètre taille n'est pas utilisé, la taille par défaut est la taille de la partition.

Note : les kilooctets mentionnés correspondent à 1024 octets, également appelés kibioctets. Il en va de même pour les mégaoctets et gigaoctets.

Le programme resize2fs ne modifie pas la taille des partitions. Si vous voulez augmenter la taille d'un système de fichiers, vous devez dans un premier temps augmenter la taille de sa partition, ce qui peut être fait à l'aide de fdisk(8) en détruisant la partition et en recréant une plus large ou en utilisant lvextend(8), si vous utilisez le gestionnaire de volumes logiques lvm(8). Quand vous recréez la partition, assurez-vous que vous la créez avec le même cylindre de début qu'avant ! Autrement, resize ne fonctionnera probablement pas et vous pourriez perdre complètement le système de fichiers. Après avoir lancé fdisk(8), exécutez resize2fs pour changer la taille du système de fichiers ext2 pour utiliser toute la taille disponible sur la partition.

Si vous souhaitez réduire une partition ext2, utilisez d'abord resize2fs pour réduire la taille du système de fichiers. Vous pouvez ensuite utiliser fdisk(8) pour réduire la taille de la partition, en vous assurant de ne pas la rendre plus petite que la nouvelle taille du système de fichiers !

OPTIONS

-d drapeaux_débogage
    Activer différentes fonctionnalités de débogage de resize2fs, si elles ont été activées lors de la compilation du programme. drapeaux_débogage doit être calculé en ajoutant les nombres associés à chacune des fonctionnalités voulues dans la liste suivante :
      2    - Déboguer le déplacement des blocs
      4    - Déboguer le déplacement des inœuds
      8    - Déboguer le déplacement des tables d'inœuds
      16    - Afficher les informations d'horodatage
    32    - Déboguer le calcul de la taille minimale du système de fichiers (-M)

-f  Forcer resize2fs à poursuivre le changement de taille du système de fichiers, en ignorant les vérifications de sécurité que resize2fs effectue normalement.

-F  Purger les tampons de cache du périphérique hébergeant le système de fichiers avant de commencer. Ce n'est vraiment utile que pour mesurer la vitesse de resize2fs.

-M  Réduire le système de fichiers à la taille minimale.

-p  Afficher une barre de progression pour chaque opération de resize2fs lors d'un redimensionnement à froid, pour que l'utilisateur puisse suivre ce que le programme fait.

-P  Afficher la taille minimale du système de fichiers, puis quitter.

-S bande_RAID
    Le programme resize2fs déterminera par des heuristiques la bande RAID qui a été indiquée lors de la création du système de fichiers. Cette option permet à l'utilisateur d'indiquer explicitement la bande RAID que resize2fs doit utiliser.

BOGUES CONNUS
La taille minimale du système de fichiers estimée par resize2fs peut ne pas être correcte, particulièrement pour les systèmes de fichiers avec une taille de bloc de 1 ko ou 2 ko.

AUTEUR
resize2fs a été écrit par Theodore Ts'o <tytso@mit.edu>.

COPYRIGHT
Le copyright de resize2fs appartient à Theodore Ts'o et PowerQuest, Inc. Tous droits réservés. Depuis avril 2000, resize2fs peut être redistribué sous les conditions de la GPL.

VOIR AUSSI
fdisk(8), e2fsck(8), mke2fs(8), lvm(8), lvextend(8)

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.